header {
package com.smallx.xml.xpath.parser;
}

class XPathParser extends Parser;

options {
k=1;
exportVocab=XPATH;
}

// Location Paths
locationPath : relativeLocationPath
             | absoluteLocationPath
             ;

absoluteLocationPath : FW_SLASH ( relativeLocationPath )?
                     | DBL_FW_SLASH relativeLocationPath 
                     ;

relativeLocationPath : step ( FW_SLASH step | DBL_FW_SLASH step )*
                     ;

// Location Steps

step : ( axisSpecifier )? nodeTest ( predicate )*
     | abbreviatedStep
     ;

axisSpecifier : axisName DBL_COLON
              | abbreviatedAxisSpecifier 
              ;

// Axis Names

axisName : ANCESTOR
         | ANCESTOR_OR_SELF
         | ATTRIBUTE
         | CHILD
         | DESCENDANT
         | DESCENDANT_OR_SELF
         | FOLLOWING
         | FOLLOWING_SIBLING
         | NAMESPACE
         | PARENT
         | PRECEDING
         | PRECEDING_SIBLING
         | SELF
         ;


// Node Tests

// TODO: check QName for NCName if followed by a colon
nodeTest : ASTERIX
         | QNAME ( COLON ASTERISK )?
         | COMMENT OPAREN CPAREN
         | TEXT OPAREN CPAREN
         | PROCESSING_INSTRUCTION OPAREN (LITERAL)? CPAREN
         | NODE OPAREN CPAREN         
         ;

// Predicates 

predicate : OBRACKET predicateExpr CBRACKET ;

predicateExpr : expr ;

abbreviatedStep : DOT | DBL_DOT ;

abbreviatedAxisSpecifier : AT_SIGN ;

// Expressions

expr : orExpr ;

// Function Calls

functionCall : FUNCTION_NAME OPAREN ( argument ( COMMA argument )* )? CPAREN ;

argument : expr ;

// Node Sets

unionExpr : pathExpr ( PIPE pathExpr )*
          ;

pathExpr : locationPath
         | variableReference (predicate)* (selectDescendants)?
         | OPAREN expr CPAREN (predicate)* (selectDescendants)?
         | functionCall (predicate)* (selectDescendants)?
         | LITERAL (predicate)*
         | NUMBER (predicate)*
         ;

selectDescendants : FW_SLASH relativeLocationPath
                  | DBL_FW_SLASH relativeLocationPath
                  ;


// operators

orExpr : andExpr ( OR andExpr )*
       ;

andExpr : equalityExpr ( AND equalityExpr )*
        ;

equalityExpr : relationalExpr (
                  EQUALS relationalExpr
                | NOT_EQUALS relationalExpr 
               )?
             ;

relationalExpr : additiveExpr (
                  LESS_THAN additiveExpr
                | MORE_THAN additiveExpr
                | LESS_THAN_EQUAL additiveExpr
                | MORE_THAN_EQUAL additiveExpr 
               )*
               ;

// Numeric Expressions

additiveExpr : multiplicativeExpr (PLUS multiplicativeExpr | MINUS multiplicativeExpr)*
             ;

multiplicativeExpr : unaryExpr 
                     (   ASTERISK unaryExpr 
                       | DIV_OPERATOR unaryExpr 
                       | MOD_OPERATOR unaryExpr
                     )?
                   ;

unaryExpr : ( MINUS )* unionExpr
          ;

// Low-level constructs

variableReference : DOLLAR QNAME ;




