<?xml version="1.0" encoding="UTF-8" ?>

<!--
    Document   : style.xsl
    Created on : December 23, 2004, 11:29 AM
    Author     : alex
    Description:
        Purpose of transformation follows.
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" xmlns="http://www.w3.org/1999/xhtml">
<xsl:output method="html"/>

<xsl:template match="doc">
<html>
<head>
<title><xsl:value-of select="title"/></title>
<link rel="stylesheet" href="style.css" type="text/css"/>
</head>
<body>
<xsl:apply-templates/>
</body>
</html>
</xsl:template>

<xsl:template match="input-error">
<html>
<head>
<title>Input Error</title>
<link rel="stylesheet" href="style.css" type="text/css"/>
</head>
<body>
<p class="title">Input Error</p>
<xsl:apply-templates/>
<p>Return to the <a href="index.xml">testing form</a></p>
</body>
</html>
</xsl:template>

<xsl:template match="output-error">
<html>
<head>
<title>Output Error</title>
<link rel="stylesheet" href="style.css" type="text/css"/>
</head>
<body>
<p class="title">Output Error</p>
<xsl:apply-templates/>
<p>Return to the <a href="index.xml">testing form</a></p>
</body>
</html>
</xsl:template>

<xsl:template match="output-document">
<html>
<head>
<title>Output Document</title>
<link rel="stylesheet" href="style.css" type="text/css"/>
</head>
<body>
<p class="title">Output Document</p>
<div class="xml">
<pre>
<xsl:apply-templates mode="escape"/>
</pre>
</div>
<p>Return to the <a href="index.xml">testing form</a></p>
</body>
</html>
</xsl:template>

<xsl:template match="error|missing">
<p class="error"><xsl:apply-templates/></p>
</xsl:template>

<xsl:template match="title">
<p class="title">
<xsl:apply-templates/>
</p>
</xsl:template>

<xsl:template match="form[@post]">
<form method="POST" action="{@post}">
<xsl:if test="file">
<xsl:attribute name="enctype">multipart/form-data</xsl:attribute>
</xsl:if>
<xsl:apply-templates/>
</form>
</xsl:template>

<xsl:template match="file">
<p><xsl:apply-templates/><input name="{@name}" type="file" size="50"/></p>
</xsl:template>

<xsl:template match="textfield">
<p><xsl:apply-templates/><input name="{@name}" type="text" size="{@length}"/></p>
</xsl:template>

<xsl:template match="checkbox">
<p><input name="{@name}" type="checkbox" value="{@name}"/><xsl:text> </xsl:text><xsl:apply-templates/></p>
</xsl:template>

<xsl:template match="submit">
<input type="submit" value="{.}"/>
</xsl:template>

<xsl:template match="label">
<span class="label">
<xsl:apply-templates/>
</span>
</xsl:template>

<xsl:template match="*|@*">
<xsl:copy>
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>

<!--
<xsl:template mode="escape" match="*">
<xsl:text>&lt;</xsl:text>
<xsl:value-of select="name()"/><xsl:apply-templates mode="escape" select="@*"/>
<xsl:text>></xsl:text>
<xsl:apply-templates mode="escape" select="node()"/>
<xsl:text>&lt;/</xsl:text>
<xsl:value-of select="name()"/>
<xsl:text>></xsl:text>
</xsl:template>

<xsl:template mode="escape" match="@*">
<xsl:text> </xsl:text>
<xsl:value-of select="name()"/>
<xsl:text>="</xsl:text>
<xsl:value-of select="."/>
<xsl:text>"</xsl:text>
</xsl:template>
-->

</xsl:stylesheet>
