<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" 
   xmlns:c="urn:publicid:IDN+smallx.com:examples:contacts:1.0"
   xmlns="http://www.w3.org/1999/xhtml"
>

<xsl:output method="html"/>
<xsl:param name="context"/>
<xsl:param name="style"/>

<xsl:template match="c:login">
<html>
   <head>
   <title>Login</title>
   <link rel="stylesheet" href="{$context}/site.css" type="text/css"/>
   </head>
   <body>
   <div class="nav">
   <xsl:apply-templates select="c:title" mode="title"/>
   </div>
   <div class="contents">
   <xsl:apply-templates/>
   <div class="login-box">
   <form class="login" method="POST" action="j_security_check">
   <table class="login">
   <tr><td>Username: </td><td><input type="text" name="j_username"/></td></tr>
   <tr><td>Password: </td><td><input type="password" name="j_password"/></td></tr>
   </table>
   <input type="submit" value="Login"/>
   </form>
   </div>
   </div>
   </body>
</html>
</xsl:template>

<xsl:template match="c:create-account">
<html>
   <head>
   <title>Create Account</title>
   <link rel="stylesheet" href="{$context}/site.css" type="text/css"/>
   </head>
   <body>
   <div class="nav">
   <xsl:apply-templates select="c:title" mode="title"/>
   </div>
   <div class="contents">
   <xsl:apply-templates/>
   <div class="box">
   <form method="POST" action="create-account.post">
   <table>
   <tr><td>*First Name: </td><td><input type="text" name="firstname"/></td></tr>
   <tr><td> Middle Name: </td><td><input type="text" name="middlename"/></td></tr>
   <tr><td>*Last Name: </td><td><input type="text" name="lastname"/></td></tr>
   <tr><td>*E-mail: </td><td><input type="text" name="lastname"/></td></tr>
   <tr><td>*Username: </td><td><input type="text" name="username"/></td></tr>
   <tr><td>*Password: </td><td><input type="password" name="password"/></td></tr>
   <tr><td>*Re-enter Password: </td><td><input type="password" name="password"/></td></tr>
   </table>
   <p>(*) Required fields.</p>
   <input type="submit" value="Create Account"/>
   </form>
   </div>
   </div>
   </body>
</html>
</xsl:template>

<xsl:template match="c:doc">
<html>
   <head>
   <title><xsl:value-of select="c:title"/></title>
   <link rel="stylesheet" href="{$context}/site.css" type="text/css"/>
   </head>
   <body>
   <div class="nav">
   <xsl:apply-templates select="c:title" mode="title"/>
   </div>
   <div class="contents">
   <xsl:apply-templates/>
   </div>
   </body>
</html>
</xsl:template>

<xsl:template match="c:intro">
<div class="header-intro">
   <xsl:apply-templates/>
</div>
</xsl:template>
   
<xsl:template match="c:title"/>
<xsl:template match="c:title" mode="title">
<div class="title">
<p class="title">
   <xsl:apply-templates/>
</p>
<p class="title-border"><xsl:text> </xsl:text></p>
</div>
</xsl:template>

<xsl:template match="contact-app">
<html>
   <head>
   <title>Contacts</title>
   <link rel="stylesheet" href="site.css" type="text/css"/>
   </head>
   <body>
   <div class="app">
   <div class="contact-panel">
   <xsl:apply-templates/>
   </div>
   </div>
   </body>
</html>
</xsl:template>

<xsl:template match="contacts">
<div class="contact-list">
<p class="label">Contacts</p>
<div class="contact-list-contents">
<xsl:apply-templates mode="list"/>
</div>
</div>
</xsl:template>

<xsl:template match="current">
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="current/contacts">
<div class="current-contact" style="rowspan: {count(../../contacts/contact)}">
<div class="current-contact-contents">
<xsl:apply-templates/>
</div>
</div>
</xsl:template>

<xsl:template match="contact" mode="list">
<p class="contact-name"><xsl:apply-templates mode="list"/></p>
</xsl:template>

<xsl:template match="contact/name" mode="list">
<a href="{$style}.get?last={last}&amp;first={first}&amp;contact-only=false"><xsl:apply-templates select="last"/>, <xsl:apply-templates select="first"/></a>
</xsl:template>

<xsl:template match="contact">
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="first">
<xsl:apply-templates/>
<xsl:text> </xsl:text>
</xsl:template>

<xsl:template match="contact/*">
<p><span class="label"><xsl:value-of select="translate(substring(local-name(.),1,1),'abcdefghijklmnopqrstuvwxyz','ABCDEFGHIJKLMNOPQRSTUVWXYZ')"/><xsl:value-of select="substring(local-name(.),2)"/>:</span><xsl:text> </xsl:text><xsl:apply-templates/></p>
</xsl:template>

<!--
<xsl:template match="@*|*">
<xsl:copy>
<xsl:apply-templates select="node()|@*"/>
</xsl:copy>
</xsl:template>
-->

</xsl:stylesheet>
