<?xml version="1.0" encoding="UTF-8" ?>

<!--
    Document   : style-schedule.xsl
    Created on : February 16, 2005, 5:59 PM
    Author     : alex
    Description:
        Purpose of transformation follows.
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
   xmlns="http://www.w3.org/1999/xhtml"
>
    <xsl:output method="xml"/>

<xsl:template match="routes">
<html>
   <head>
       <title>Routes: <xsl:call-template name="code2station">
                      <xsl:with-param name="code" select="from"/>
                      </xsl:call-template>
                      <xsl:text> to </xsl:text>
                      <xsl:call-template name="code2station">
                      <xsl:with-param name="code" select="to"/>
                      </xsl:call-template></title>
   </head>
   <body>
    <h1>Routes: <xsl:call-template name="code2station">
                   <xsl:with-param name="code" select="from"/>
                   </xsl:call-template>
                   <xsl:text> to </xsl:text>
                   <xsl:call-template name="code2station">
                   <xsl:with-param name="code" select="to"/>
                   </xsl:call-template></h1>
   <xsl:apply-templates/>
   </body>
</html>
</xsl:template>

<xsl:template match="routes/to|routes/from"/>

<xsl:template match="departing">
<p>Departing at <xsl:value-of select="time"/> on <xsl:value-of select="month"/>/<xsl:value-of select="day"/>.</p>
</xsl:template>

<xsl:template match="route-option">
<div class="route-option">
<p>Route <xsl:value-of select="count(preceding-sibling::route-option)+1"/></p>
<xsl:apply-templates select="train"/>
</div>
</xsl:template>

<xsl:template match="train">
<p>Depart <xsl:value-of select="depart"/> on a <xsl:value-of select="board"/> and <xsl:value-of select="arrive"/></p>
</xsl:template>

<xsl:template name="code2station">
<xsl:param name="code"/>
<xsl:choose>
<xsl:when test="$code='12ST'">12th St. Oakland City Center</xsl:when>
<xsl:when test="$code='16ST'">16th St. Mission</xsl:when>
<xsl:when test="$code='19ST'">19th St. Oakland</xsl:when>
<xsl:when test="$code='24ST'">24th St. Mission</xsl:when>
<xsl:when test="$code='ASHBY'">Ashby</xsl:when>
<xsl:when test="$code='BALPK'">Balboa Park</xsl:when>
<xsl:when test="$code='BFAIR'">Bay Fair</xsl:when>
<xsl:when test="$code='CVLY'">Castro Valley</xsl:when>
<xsl:when test="$code='CIVIC'">Civic Center</xsl:when>
<xsl:when test="$code='COLIS'">Coliseum/Oakland Airport</xsl:when>
<xsl:when test="$code='COLMA'">Colma</xsl:when>
<xsl:when test="$code='CONCD'">Concord</xsl:when>
<xsl:when test="$code='DALY'">Daly City</xsl:when>
<xsl:when test="$code='BRK'">Downtown Berkeley</xsl:when>
<xsl:when test="$code='DUBLIN'">Dublin/Pleasanton</xsl:when>
<xsl:when test="$code='DELN'">El Cerrito del Norte</xsl:when>
<xsl:when test="$code='PLAZA'">El Cerrito Plaza</xsl:when>
<xsl:when test="$code='EMBAR'">Embarcadero</xsl:when>
<xsl:when test="$code='FREMT'">Fremont</xsl:when>
<xsl:when test="$code='FRTVL'">Fruitvale</xsl:when>
<xsl:when test="$code='GLNPK'">Glen Park</xsl:when>
<xsl:when test="$code='HAY'">Hayward</xsl:when>
<xsl:when test="$code='LAFAY'">Lafayette</xsl:when>
<xsl:when test="$code='LAKEM'">Lake Merritt</xsl:when>
<xsl:when test="$code='MACAR'">MacArthur</xsl:when>
<xsl:when test="$code='MLBR'">Millbrae</xsl:when>
<xsl:when test="$code='MONTG'">Montgomery St.</xsl:when>
<xsl:when test="$code='NBRK'">North Berkeley</xsl:when>
<xsl:when test="$code='NCNC'">North Concord/Martinez</xsl:when>
<xsl:when test="$code='ORNDA'">Orinda</xsl:when>
<xsl:when test="$code='BAYPT'">Pittsburg/Bay Point</xsl:when>
<xsl:when test="$code='PHILL'">Pleasant Hill</xsl:when>
<xsl:when test="$code='POWEL'">Powell St.</xsl:when>
<xsl:when test="$code='RICH'">Richmond</xsl:when>
<xsl:when test="$code='ROCKR'">Rockridge</xsl:when>
<xsl:when test="$code='SBRN'">San Bruno</xsl:when>
<xsl:when test="$code='SFIA'">San Francisco Int'l Airport</xsl:when>
<xsl:when test="$code='SLEAN'">San Leandro</xsl:when>
<xsl:when test="$code='SHAY'">South Hayward</xsl:when>
<xsl:when test="$code='SSAN'">South San Francisco</xsl:when>
<xsl:when test="$code='UCITY'">Union City</xsl:when>
<xsl:when test="$code='WCRK'">Walnut Creek</xsl:when>
<xsl:when test="$code='WOAK'">West Oakland</xsl:when>
</xsl:choose>
</xsl:template>

</xsl:stylesheet>
