<?xml version="1.0" encoding="UTF-8" ?>

<!--
    Document   : rss1.xsl
    Created on : January 8, 2005, 5:06 PM
    Author     : alex
    Description:
        Purpose of transformation follows.
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
   xmlns:rdf='http://www.w3.org/1999/02/22-rdf-syntax-ns#'
   xmlns:rss1='http://purl.org/rss/1.0/'
   xmlns:dc='http://purl.org/dc/elements/1.1/'
   xmlns:c="urn:publicid:IDN+smallx.com:component-language:1.0" 
   xmlns="http://www.w3.org/1999/xhtml"
>
<xsl:output method="html"/>

<xsl:template match="rdf:RDF">
   <xsl:apply-templates select="rss1:channel|c:error"/>
</xsl:template>

<xsl:template match="rdf:RDF" mode="title">
<xsl:apply-templates select="rss1:channel/rss1:title/text()"/>
</xsl:template>

<xsl:template match="rss1:channel">
<div class="channel">
<xsl:apply-templates select="rss1:description|rss1:title"/>
<div class="items">
<xsl:apply-templates select="../rss1:item"/>
</div>
</div>
</xsl:template>

<xsl:template match="rss1:channel/rss1:title">
<p class="feed-title"><a href="{../rss1:link}"><xsl:apply-templates/></a></p>
</xsl:template>

<xsl:template match="rss1:channel/rss1:description">
<xsl:if test="node()">
<div class="channel-description">
<xsl:apply-templates/>
</div>
</xsl:if>
</xsl:template>

<xsl:template match="rss1:description">
<div class="description"><xsl:apply-templates/></div>
</xsl:template>

<xsl:template match="rss1:item">
<div class="item">
<xsl:apply-templates select="rss1:title|rss1:description"/>
<!--
<pre>
<xsl:apply-templates select="." mode="escape"/>
</pre>-->
<p class="dc">
<xsl:apply-templates select="dc:*"/>
</p>
</div>
</xsl:template>

<xsl:template match="rss1:title">
<p class="item-title"><a href="{../rss1:link}"><xsl:apply-templates/></a></p>
</xsl:template>

<xsl:template match="rss1:link"/>

<xsl:template match="rss1:description">
<div class="description"><xsl:apply-templates/>
<xsl:apply-templates select="@error"/>
</div>
</xsl:template>

<xsl:template match="rss1:description/@error">
<p class="error"><xsl:value-of select="."/></p>
</xsl:template>

<xsl:template match="dc:creator"><xsl:if test="node()"><xsl:apply-templates/><xsl:text>, </xsl:text></xsl:if></xsl:template>
<xsl:template match="dc:date|dc:rights"><xsl:apply-templates/><xsl:text> </xsl:text></xsl:template>
<xsl:template match="dc:*"/>


</xsl:stylesheet>
