<?xml version="1.0" encoding="UTF-8" ?>

<!--
    Document   : style.xsl
    Created on : December 23, 2004, 11:29 AM
    Author     : alex
    Description:
        Purpose of transformation follows.
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" 
   xmlns="http://www.w3.org/1999/xhtml"
   xmlns:c="urn:publicid:IDN+smallx.com:component-language:1.0" 
>
<xsl:output method="html"/>

<xsl:template match="/">
<html>
   <head>
   <title><xsl:apply-templates mode="title"/></title>
   <link rel="stylesheet" href="style.css" type="text/css"/>
   </head>
   <body>
   <xsl:apply-templates/>
   </body>
</html>
</xsl:template>

<xsl:template match="doc" mode="title">
<xsl:apply-templates select="title/text()"/>
</xsl:template>

<xsl:template match="form-error" mode="title">
<xsl:apply-templates select="doc/title/text()"/>
</xsl:template>

<xsl:template match="form-error">
<xsl:apply-templates select="doc"/>
</xsl:template>

<xsl:template match="c:error">
<p class="error"><xsl:apply-templates/></p>
</xsl:template>

<xsl:template match="doc">
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="error|missing">
<p class="error"><xsl:apply-templates/></p>
</xsl:template>

<xsl:template match="title">
<p class="title">
<xsl:apply-templates/>
</p>
</xsl:template>

<xsl:template match="form[@post]">
<form method="POST" action="{@post}">
<xsl:apply-templates select="/form-error/error"/>
<xsl:if test="file">
<xsl:attribute name="enctype">multipart/form-data</xsl:attribute>
</xsl:if>
<xsl:apply-templates/>
</form>
</xsl:template>

<xsl:template match="file">
<p><xsl:apply-templates/><input name="{@name}" type="file" size="50"/></p>
</xsl:template>

<xsl:template match="textfield">
<p><xsl:apply-templates/><input name="{@name}" type="text" size="{@length}"/></p>
</xsl:template>

<xsl:template match="textarea">
<p><xsl:apply-templates select="label"/><textarea name="{@name}" cols="{@length}" rows="{@rows}">
<xsl:choose>
<xsl:when test="default">
<xsl:apply-templates select="default/text()"/>
</xsl:when>
<xsl:otherwise><xsl:text> </xsl:text></xsl:otherwise>
</xsl:choose>
</textarea>
</p>
</xsl:template>

<xsl:template match="checkbox">
<p><input name="{@name}" type="checkbox" value="{@name}"/><xsl:text> </xsl:text><xsl:apply-templates/></p>
</xsl:template>

<xsl:template match="submit">
<input type="submit" value="{.}"/>
</xsl:template>

<xsl:template match="label">
<span class="label">
<xsl:apply-templates/>
</span>
</xsl:template>

<xsl:template match="*|@*">
<xsl:copy>
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>

<xsl:template match="*" mode="escape">
<xsl:text>&lt;</xsl:text>
<xsl:call-template name="output-name"/>
<xsl:apply-templates select="@*" mode="escape"/>
<xsl:text>></xsl:text>
<xsl:apply-templates select="node()" mode="escape"/>
<xsl:text>&lt;/</xsl:text>
<xsl:call-template name="output-name"/>
<xsl:text>></xsl:text>
</xsl:template>

<xsl:template match="@*" mode="escape">
<xsl:text> </xsl:text>
<xsl:call-template name="output-name"/>
<xsl:text>='</xsl:text>
<xsl:value-of select="."/>
<xsl:text>'</xsl:text>
</xsl:template>

<xsl:template name="output-name">
<xsl:if test="namespace-uri(.)">
<xsl:text>{</xsl:text>
<xsl:value-of select="namespace-uri(.)"/>
<xsl:text>}</xsl:text>
</xsl:if>
<xsl:value-of select="local-name(.)"/>
</xsl:template>

<xsl:include href="rss.xsl"/>

</xsl:stylesheet>
