/*
 * HelloWorld.java
 *
 * Created on February 23, 2005, 7:52 AM
 */

package examples.component;

import java.net.*;
import com.smallx.xml.infoset.*;
import com.smallx.xml.infoset.util.*;
import com.smallx.xml.component.*;

/**
 *
 * @author R. Alexander Milowski
 */
public class HelloWorld extends ComponentBase
{
   static URI namespace;
   static Name componentName;
   static {
      try {
         namespace = InfosetFactory.getDefaultInfoset().createNamespace("http://www.example.org/components");
         componentName = InfosetFactory.getDefaultInfoset().createName(namespace,"hello-world");
      } catch (URISyntaxException ex) {
         // Shouldn't happen, but we'll output it anyway.
         ex.printStackTrace();
      }
   }
   
   /** Creates a new instance of HelloWorld */
   public HelloWorld()
   {
      super(componentName,"1.0");
   }
   
   public void send(Item item) 
      throws XMLException
   {
      if (item.getType()==DocumentEnd.TYPE) {
         helloWorld();
      }
   }
   
   public void helloWorld() 
      throws XMLException
   {
      Infoset infoset = context.getInfoset();
      ItemConstructor iconstructor = infoset.createItemConstructor();
      XMLConstructor xmlConstructor = new XMLConstructor(iconstructor,output);
      xmlConstructor.createSimpleDocument(infoset.createName("message"),"hello-world");
   }
   
}
